# sql script used to build correctly your database at the first time
# For question ======> pcrochat@bigfoot.com
#
# phpMyAdmin MySQL-Dump
# http://phpwizard.net/phpMyAdmin/
#
# Host: localhost Database : expertart

# --------------------------------------------------------
# 
# Table structure for table 'categorie'
# This table store the list of the different categories 
# of object you provide

CREATE TABLE categorie (
   id tinyint(4) DEFAULT '0' NOT NULL,
   nom varchar(30) NOT NULL,
   language char(2) NOT NULL,
   sup_categorie tinyint(8) DEFAULT NULL,
   PRIMARY KEY (id)
);


# --------------------------------------------------------
#
# Table structure for table 'hit'
# Store the traffic information of your site
#


CREATE TABLE hit (
   redirect_status smallint(3),
   http_user_agent varchar(255),
   http_via varchar(255),
   remote_host varchar(200),
   redirect_url varchar(255),
   server_protocol varchar(50),
   request_method varchar(10),
   query_string varchar(100),
   date datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   http_referer varchar(250)
);


# --------------------------------------------------------
#
# Table structure for table 'objet'
# Store the description of your objects 
# 

CREATE TABLE objet (
   id_objet tinyint(3) unsigned DEFAULT '0' NOT NULL,
   id_categorie tinyint(3) unsigned DEFAULT '0' NOT NULL,
   nom_de_objet varchar(80) NOT NULL,
   description text NOT NULL,
   longueur int(8) DEFAULT '0' NOT NULL,
   largeur int(8) DEFAULT '0' NOT NULL,
   hauteur int(8) DEFAULT '0' NOT NULL,
   prix int(10) DEFAULT '0' NOT NULL,
   image varchar(20) NOT NULL,
   etat tinyint(4) DEFAULT '0' NOT NULL,
   premiere_page tinyint(4) DEFAULT '0' NOT NULL,
   PRIMARY KEY (id_objet),
   KEY nom_de_objet (nom_de_objet)
);


# --------------------------------------------------------
#
# Table structure for table 'status'
# not used yet, will store the different status one object have (in stock,
# already sold ...
#

CREATE TABLE status (
   id tinyint(4) DEFAULT '0' NOT NULL,
   nom varchar(20) NOT NULL,
   PRIMARY KEY (id)
);


# --------------------------------------------------------
#
# Table structure for table 'vente'
# Store the list of objects that one some visitors want to buy
#

CREATE TABLE vente (
   nom varchar(200) NOT NULL,
   prenom varchar(200) NOT NULL,
   adresse varchar(250) NOT NULL,
   code_postal varchar(10) NOT NULL,
   ville varchar(150) NOT NULL,
   pays varchar(100) NOT NULL,
   telephone varchar(20) NOT NULL,
   fax varchar(20),
   email varchar(150) NOT NULL,
   id_objet int(11) DEFAULT '0' NOT NULL,
   date datetime DEFAULT '0000-00-00 00:00:00' NOT NULL
);

